
From: Jack Steiner <steiner@sgi.com>

Here is a trivial patch that is required to boot the latest 2.6.7 tree 
on the SGI 512p system.

Initialize the busy_factor in the sched_domain_init table.  Otherwise,
booting hangs doing excessive load balance operations.

Signed-off-by: Jack Steiner <steiner@sgi.com>
Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN kernel/sched.c~sched-initialize-sched-domain-table kernel/sched.c
--- 25/kernel/sched.c~sched-initialize-sched-domain-table	2004-07-27 00:08:41.935682400 -0700
+++ 25-akpm/kernel/sched.c	2004-07-27 00:08:41.941681488 -0700
@@ -3922,6 +3922,7 @@ void __init sched_init(void)
 	sched_domain_init.groups = &sched_group_init;
 	sched_domain_init.last_balance = jiffies;
 	sched_domain_init.balance_interval = INT_MAX; /* Don't balance */
+	sched_domain_init.busy_factor = 1;
 
 	memset(&sched_group_init, 0, sizeof(struct sched_group));
 	sched_group_init.cpumask = CPU_MASK_ALL;
_
